Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.tls
Class RecordStream

    java.lang.Object
      org.bouncycastle.crypto.tls.RecordStream

    public class RecordStream

extends java.lang.Object

An implementation of the TLS 1.0 record layer.

Field Summary
`protected CombinedHash` | `hash1`
`protected CombinedHash` | `hash2`
`protected TlsCipherSuite` | `readSuite`
`protected TlsCipherSuite` | `writeSuite`

Constructor Summary
`protected` | `RecordStream(TlsProtocolHandler handler, java.io.InputStream is, java.io.OutputStream os)`

Method Summary
`protected void` | `close()`
`protected byte[]` | `decodeAndVerify(short type, java.io.InputStream is, int len)`
`protected void` | `flush()`
`void` | `readData()`
`protected void` | `writeMessage(short type, byte[] message, int offset, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash1

    protected CombinedHash hash1

### hash2

    protected CombinedHash hash2

### readSuite

    protected TlsCipherSuite readSuite

### writeSuite

    protected TlsCipherSuite writeSuite

Constructor Detail

### RecordStream

    protected RecordStream(TlsProtocolHandler handler,
                           java.io.InputStream is,
                           java.io.OutputStream os)

Method Detail

### readData

    public void readData()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeAndVerify

    protected byte[] decodeAndVerify(short type,
                                     java.io.InputStream is,
                                     int len)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeMessage

    protected void writeMessage(short type,
                                byte[] message,
                                int offset,
                                int len)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    protected void close()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    protected void flush()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD